LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-10-2003, 03:02 PM   #1
LoRd Of XAoS
LQ Newbie
 
Registered: Aug 2003
Location: Nothern Colorado
Distribution: Fedora Core 2
Posts: 11

Rep: Reputation: 0
Question samba dependencies


ok, so right now i'm running RedHat 7.1 and I'm trying to install
Samba.
Now I downloaded the RPM and used
rpm -i samba-2.2.8a-1.i386.rpm

and got the response:

error: failed dependencies:
libcrypto.so.2 is needed by samba-2.2.8a-1
libcups.so.2 is needed by samba-2.2.8a-1
libreadline.so.4 is needed by samba-2.2.8a-1
libssl.so.2 is needed by samba-2.2.8a-1

so I understand that I have to install these files/packages before i can install samba.... I'm fine with that.

What my problem is, is that I have no idea what they are, what packages they are apart of and how the hell I can find them and install them.
Now I tried doing a: rpm -qf libcrypto.so.2
but that told be nothing besides
error: file libcrypto.so.2: No such file or directory

So, could any one please tell me, how am i supposed to find these files?
I look at the documentation provided with Samba, and it didn't say anything about need any other packages or anything.....
Any help would be greatly appreciated.
 
Old 08-10-2003, 03:14 PM   #2
bovan
LQ Newbie
 
Registered: Jul 2003
Location: Canada eh
Distribution: debian 3.0
Posts: 19

Rep: Reputation: 0
have you tried google.ca/linux and search for the files maybe they would point you to the packages in need?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
samba dependencies gk_ Slackware 14 07-26-2004 11:04 PM
I recieve a failed dependencies error, but I have all required dependencies Laptop2250 Linux - Software 15 02-03-2004 08:58 PM
Failed dependencies installing samba haysdb Linux - Newbie 5 05-16-2003 03:24 PM
samba 2.2.5-1 dependencies bkmesenbrink Linux - Newbie 2 01-01-2003 12:46 AM
when i restart SAMBA,it says:stop samba failed,start SAMBA OK! whepin Linux - Networking 3 12-26-2001 06:54 AM


All times are GMT -5. The time now is 06:37 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration